//建筑管理
import qs from 'qs'
import request from '@/utils/request'

/**
 * 建筑添加接口
 * @param {Object} data - 请求数据
 * @returns {Promise} 返回请求结果
 */
export function buildingAddApi(data) {
  return request({
    url: '/build/add',
    method: 'post',
    data,
  })
}

/**
 * 获取建筑信息接口
 * @param {Object} data - 请求数据
 * @returns {Promise} 返回请求结果
 */
export function buildingGetInfoApi(data) {
  return request({
    url: '/build/getInfo',
    method: 'post',
    data,
  })
}


/**
 * 建筑分页查询接口
 * @param {Object} data - 请求数据
 * @returns {Promise} 返回请求结果
 */
export function buildingPageApi(data) {
  return request({
    url: '/build/page',
    method: 'post',
    data,
  })
}

/**
 * 删除建筑接口
 * @param {Object} data - 请求数据
 * @returns {Promise} 返回请求结果
 */
export function buildingRemoveApi(data) {
  return request({
    url: '/build/remove',
    method: 'post',
    data,
    headers: {  // 请求头
        'Content-Type': 'multipart/form-data'
    }
  })
}

/**
 * 更新建筑信息接口
 * @param {Object} data - 请求数据
 * @returns {Promise} 返回请求结果
 */
export function buildingUpdateApi(data) {
  return request({
    url: '/build/update',
    method: 'post',
    data,
  })
}